package com.kingdee.eas.custom.esign;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ESignTemplateFileEntryFieldCollection extends AbstractObjectCollection 
{
    public ESignTemplateFileEntryFieldCollection()
    {
        super(ESignTemplateFileEntryFieldInfo.class);
    }
    public boolean add(ESignTemplateFileEntryFieldInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ESignTemplateFileEntryFieldCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ESignTemplateFileEntryFieldInfo item)
    {
        return removeObject(item);
    }
    public ESignTemplateFileEntryFieldInfo get(int index)
    {
        return(ESignTemplateFileEntryFieldInfo)getObject(index);
    }
    public ESignTemplateFileEntryFieldInfo get(Object key)
    {
        return(ESignTemplateFileEntryFieldInfo)getObject(key);
    }
    public void set(int index, ESignTemplateFileEntryFieldInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ESignTemplateFileEntryFieldInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ESignTemplateFileEntryFieldInfo item)
    {
        return super.indexOf(item);
    }
}